export const apiServicePath = '/services/sscode-api-service';

export const StrUtil = Symbol('StrUtil');
export const ESUtil = Symbol('ESUtil');

export interface StrUtil {
    isEmpty(str:string):boolean;
    split(str:string,sep:string):string[];
    add(i:number,j:number):number;
}
export interface ESUtil {
    search(str:string,indexName?:string):Doc[];
    addIndex(indexName:string,doc:Doc):boolean;
    removeIndex(indexName:string):boolean;
}

export interface Doc {
    title:string;
    id:string;
    desc?:string;
}